#include<iostream>
#include<string>
using namespace std;

int main()
{
    string a,b,c;
    cin>>a>>b>>c;
    string m1=a+b+c,m2=a+c+b,m3=b+a+c,m4=b+c+a,m5=c+a+b,m6=c+b+a,maxi;
    maxi=m1;
    if(m2>maxi)
        maxi=m2;
    if(m3>maxi)
        maxi=m3;
    if(m4>maxi)
        maxi=m4;
    if(m5>maxi)
        maxi=m5;
    if(m6>maxi)
        maxi=m6;
    cout<<maxi;
}